RTEMS: cpukit/libdl/rtl-unwind-dw2.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Typedefs | Functions
rtl-unwind-dw2.h File Reference
API » RTEMS Runtime Link Editor

RTEMS Run-Time Linker Unwind DWARF Support. More...

`#include "rtl-elf.h"`

Go to the source code of this file.

## Typedefs
typedef long | rtems_rtl_elf_unwind_dw2_sleb128
typedef unsigned long | rtems_rtl_elf_unwind_dw2_uleb128

## Functions
bool | rtems_rtl_elf_unwind_dw2_parse (const rtems_rtl_obj *obj, const char *name, uint32_t flags)
bool | rtems_rtl_elf_unwind_dw2_register (const rtems_rtl_obj *obj)
bool | rtems_rtl_elf_unwind_dw2_deregister (const rtems_rtl_obj *obj)
const uint8_t * | rtems_rtl_elf_unwind_dw2_read_uleb128 (const uint8_t *data, rtems_rtl_elf_unwind_dw2_uleb128 *val)
const uint8_t * | rtems_rtl_elf_unwind_dw2_read_sleb128 (const uint8_t *data, rtems_rtl_elf_unwind_dw2_sleb128 *val)
bool | rtems_rtl_elf_unwind_dw2_relocate (const Elf_Addr *where, Elf_Word value, Elf_Word mask)

## Detailed Description

RTEMS Run-Time Linker Unwind DWARF Support.

## Function Documentation

## ◆ rtems_rtl_elf_unwind_dw2_deregister()

bool rtems_rtl_elf_unwind_dw2_deregister | ( | const rtems_rtl_obj * | obj | ) |

Architecture specific handler to remove an object file's unwind information from the base image.

Parameters

  obj | The object file.

Return values

  true | The unwind information has been deregistered.
  false | The unwind information could not be deregistered.

## ◆ rtems_rtl_elf_unwind_dw2_parse()

bool rtems_rtl_elf_unwind_dw2_parse | ( | const rtems_rtl_obj * | obj,
|  | const char * | name,
|  | uint32_t | flags
| ) |  |

Architecture specific handler to check if a section contains exception handler data..

Parameters

  obj | The object file.
  name | The section's name.
  uint32 | flags The object file's flags.

Return values

  true | The section contains unwind information.
  false | The section does not contain unwind information.

## ◆ rtems_rtl_elf_unwind_dw2_read_uleb128()

const uint8_t * rtems_rtl_elf_unwind_dw2_read_uleb128 | ( | const uint8_t * | data,
|  | rtems_rtl_elf_unwind_dw2_uleb128 * | val
| ) |  |

Read signed and unsigned LEB128 values.

## ◆ rtems_rtl_elf_unwind_dw2_register()

bool rtems_rtl_elf_unwind_dw2_register | ( | const rtems_rtl_obj * | obj | ) |

Architecture specific handler to add an object file's unwind information to the base image.

Parameters

  obj | The object file.

Return values

  true | The unwind information has been registered.
  false | The unwind information could not be registered.